Bug 1632851 - Review Request: Pencil2D - create animation using both bitmap and vector graphics
Summary: Review Request: Pencil2D - create animation using both bitmap and vector grap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2018-09-25 17:03 UTC by Luis Segundo
Modified: 2019-03-29 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-19 18:23:15 UTC
Type: ---
bazanluis20: fedora-review+


Attachments (Terms of Use)

Description Luis Segundo 2018-09-25 17:03:16 UTC
Spec URL: https://blackfile.fedorapeople.org/pencil2d/pencil2d.spec
SRPM URL: https://blackfile.fedorapeople.org/pencil2d/pencil2d-0.6.2-1.fc28.src.rpm
Description: Pencil2D lets you create traditional hand-drawn animation (cartoon) using both bitmap and vector graphics.
Fedora Account System Username:blackfile

Comment 1 Luis Bazan 2018-09-26 15:02:53 UTC
Koji results
https://koji.fedoraproject.org/koji/taskinfo?taskID=29902572

Comment 2 Eduardo Echeverria 2018-09-26 16:07:19 UTC
I'll take this one

Comment 3 Luis Bazan 2018-09-26 16:16:05 UTC
(In reply to Eduardo Echeverria from comment #2)
> I'll take this one

Thanks! 

Regards!

Comment 4 Luis Bazan 2018-10-03 19:21:20 UTC
Issues:
=======

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in pencil2d
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

Comment 5 Eduardo Echeverria 2018-10-03 19:56:14 UTC
Please, Luis. process the comments from Luis, and make at least a revision to a packager or candidate to packager.

Comment 6 Luis Segundo 2018-10-03 20:18:43 UTC
Thanks guys. I'm going to work on the issues

Comment 7 Luis Segundo 2018-10-10 03:36:03 UTC
the files has been updated.

Can you see below the koji Results 

https://koji.fedoraproject.org/koji/taskinfo?taskID=30153857

Comment 8 Luis Bazan 2018-10-13 17:47:20 UTC
+1 approved!

Thanks Eduardo for the sponsor +1

Cheers,

Comment 9 Gwyn Ciesla 2018-10-15 19:32:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/Pencil2D

Comment 10 Fedora Update System 2018-10-19 01:33:47 UTC
Pencil2D-0.6.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f76e2a5e24

Comment 11 Fedora Update System 2018-10-19 01:33:53 UTC
Pencil2D-0.6.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-223ebd7b50

Comment 12 Fedora Update System 2018-10-19 16:52:55 UTC
Pencil2D-0.6.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-223ebd7b50

Comment 14 Fedora Update System 2018-10-20 19:23:40 UTC
Pencil2D-0.6.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f76e2a5e24

Comment 15 Fedora Update System 2018-10-27 16:15:21 UTC
Pencil2D-0.6.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-01 20:39:59 UTC
Pencil2D-0.6.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Jason Tibbitts 2019-03-20 23:59:52 UTC
I just wanted to add a note that this probably shouldn't have passed review, as it builds as a noarch package but it sure compiles a bunch of C++ and the installed binary looks rather arch-specific:

pencil2d: ELF 64-bit LSB shared object, x86-64, version 1 (GNU/Linux), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, BuildID[sha1]=a662722fec0e98e3f674072523cbe982acd5842b, for GNU/Linux 3.2.0, not stripped, too many notes (256)

Looking at some of the koji builds linked here, it does look like the package was archful at some point in time.  But the initial import of the spec had BuildArch: noarch, as does the spec linked in the first comment.  I will of course file a bug but wanted to leave a note in the review ticket as well.

Comment 18 Fedora Update System 2019-03-21 15:30:16 UTC
Pencil2D-0.6.3-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef4b7c5bef

Comment 19 Fedora Update System 2019-03-21 15:30:22 UTC
Pencil2D-0.6.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e671f6ea79

Comment 20 Fedora Update System 2019-03-21 15:30:36 UTC
Pencil2D-0.6.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a13724dd77

Comment 21 Fedora Update System 2019-03-21 19:12:55 UTC
Pencil2D-0.6.3-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef4b7c5bef

Comment 22 Fedora Update System 2019-03-21 21:19:18 UTC
Pencil2D-0.6.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a13724dd77

Comment 23 Fedora Update System 2019-03-21 21:49:10 UTC
Pencil2D-0.6.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e671f6ea79

Comment 24 Fedora Update System 2019-03-29 19:19:19 UTC
Pencil2D-0.6.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-03-29 21:03:40 UTC
Pencil2D-0.6.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-03-29 22:11:09 UTC
Pencil2D-0.6.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.